<template>
    <div :class="[
        `box`,
        `box-${type}`,
        {'no-padding': noPadding}
    ]">
        <slot>Box content</slot>
    </div>
</template>

<script>
export default {
    name: 'Box',
    props: {
        type: {
            type: String,
            default: 'box'
        },
        noPadding: {
            type: Boolean,
            default: false
        }
    }
}
</script>
